import { PostTaskSchedulerPriority } from './postTask';
import { animationFrameTick } from './animationFrameTick';
import { promiseTick } from './promiseTick';
import { timeoutTick } from './timeoutTick';
import { idleCallbackTick } from './idleCallbackTick';
import { postTaskTick } from './postTaskTick';
export var priorityTickMap = {
    animationFrame: animationFrameTick(),
    Promise: promiseTick(),
    setInterval: timeoutTick(),
    idleCallback: idleCallbackTick(),
    userBlocking: postTaskTick({
        priority: PostTaskSchedulerPriority.userBlocking
    }),
    userVisible: postTaskTick({
        priority: PostTaskSchedulerPriority.userVisible
    }),
    background: postTaskTick({ priority: PostTaskSchedulerPriority.background })
};
//# sourceMappingURL=priority-tick-map.js.map