import { Observable } from 'rxjs';
import { getUnpatchedResolvedPromise } from '../../../core';
// @NOTICE replace logic with 7v handling of promises in RxJS
export var promiseTick = function () {
    return new Observable(function (subscriber) {
        var cancelled = false;
        getUnpatchedResolvedPromise()
            .then(function () {
            if (!cancelled) {
                subscriber.next(0);
                subscriber.complete();
            }
        })
            .catch(function (e) {
            subscriber.error(e);
        });
        return function () {
            cancelled = true;
            subscriber.complete();
        };
    });
};
//# sourceMappingURL=promiseTick.js.map