import { priorityTickMap } from '../rxjs/scheduling/priority-tick-map';
export function staticSchedule(work, priority, abC) {
    if (abC === void 0) { abC = new AbortController(); }
    // immediately execute work
    if (priority === false) {
        tryExecuteWork();
        return abC;
    }
    // schedule work
    var sub = priorityTickMap[priority].subscribe(function () { return tryExecuteWork(); }, function (error) { return console.error(error); }, 
    // on complete abort further executions
    function () { return abC.abort(); });
    var abortHandler = function () {
        sub.unsubscribe();
        abC.signal.removeEventListener('abort', abortHandler, false);
    };
    abC.signal.addEventListener('abort', abortHandler, false);
    return abC;
    // execute work and abort further executions
    function tryExecuteWork() {
        if (!abC.signal.aborted) {
            work();
            abC.abort();
        }
    }
}
//# sourceMappingURL=static-schedule.js.map